﻿using System;
using System.Collections.Generic;

namespace AzureTags.Core.Domain
{
    public class UserTaggedResource
    {
        public UserTaggedResource()
        {
            this.Resource = new Resource("");
        }

        public UserTaggedResource(Resource resource, string tag, string userId, string title, string description)
        {
            this.Resource = resource;
            this.Tag = tag;
            this.UserId= userId;
            this.Title = title;
            this.Description = description;
        }

        public string Title { get; set; }
        public string Description { get; set; }
        public Resource Resource { get; set;}
        public string Tag { get; set;}
        public string UserId { get; set;}
        public string Url
        {
            get
            {
                return Resource.Url;
            }
            set
            {
                this.Resource = new Resource(value);
            }
        }
    }
}