using System;
using AzureTags.Core.Interfaces;

namespace AzureTags.Core.Services
{
    public class PersistResourceService : IPersistResources
    {
        private readonly IResourceRepository resourceRepository;

        public PersistResourceService(IResourceRepository resourceRepository)
        {
            this.resourceRepository = resourceRepository;
        }

        public void SaveResource(Guid resourceId, Guid userId, string title, string description, string url, string[] tags)
        {
            this.resourceRepository.SaveResource(resourceId, userId, title, description, url, tags);
        }
    }
}