using System;
using System.Collections.Generic;
using AzureTags.Core.Domain;
using AzureTags.Core.Interfaces;

namespace AzureTags.Core.Services
{
    public class RetrieveResourceService : IRetrieveResources
    {
        private readonly IResourceRepository resourceRepository;

        public RetrieveResourceService(IResourceRepository resourceRepository)
        {
            this.resourceRepository = resourceRepository;
        }

        public List<Resource> ListResources()
        {
            return resourceRepository.ListResources();
        }

        public List<Resource> ListResourcesByUser(Guid userId)
        {
            throw new System.NotImplementedException();
        }

        public List<Resource> ListResourcesByTag(Guid tagId)
        {
            throw new System.NotImplementedException();
        }

        public List<Resource> ListResourcesByTagAndUser(Guid tagId, Guid userId)
        {
            throw new System.NotImplementedException();
        }
    }
}