﻿using System;
using AzureTags.Core.Domain;
using NUnit.Framework;

namespace AzureTags.Tests.UnitTests.Domain
{
    [TestFixture]
    public class TagTester
    {
        private const string testTagName = "testTagName";
        private readonly Guid testTagId = Guid.Empty;

        [Test]
        public void CanCreateTagAndReadProperties()
        {
            var myTag = new Tag
                            {
                                Id = testTagId,
                                Name = testTagName
                            };

            Assert.AreEqual(testTagName, myTag.Name);
            Assert.AreEqual(testTagId, myTag.Id);
        }
    }
}