﻿<%@ Page Language="C#" AutoEventWireup="True" CodeBehind="AjaxToolkit.aspx.cs" Inherits="ASPNETTipsAndTricks.AjaxToolkit" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>AJAX Toolkit</title>
        <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
    <h1>AJAX Toolkit</h1>
    <div>
    <h2>ListSearch</h2>
    Scott To Contact:
        <asp:DropDownList ID="DropDownList1" runat="server">
            <asp:ListItem>Scott Hanselman</asp:ListItem>
            <asp:ListItem>Scott Cate</asp:ListItem>
            <asp:ListItem>Scott Guthrie</asp:ListItem>
            <asp:ListItem>Scott Watermasysk</asp:ListItem>
            <asp:ListItem>Scott Mitchell</asp:ListItem>
        </asp:DropDownList>
        <ajax:listsearchextender ID="DropDownList1_ListSearchExtender" runat="server" 
            Enabled="True" TargetControlID="DropDownList1">
        </ajax:listsearchextender>
        <asp:Button runat="server" ID="SendScottButton" Text="Send" 
            onclick="SendScottButton_Click" />
        <asp:Label runat="server" ID="ResultLabel" />
        <hr />
        <h2>TextBox Watermark</h2>
        Full Name: <asp:TextBox runat="server" ID="FullNameTextBox" />
        <ajax:TextBoxWatermarkExtender runat="server" ID="TextBoxExtender1" TargetControlID="FullNameTextBox" WatermarkText="John Doe" WatermarkCssClass="watermarked" />
        <hr />
        <h2>CollapsiblePanel</h2>
        <div class="demoarea" style="width:600px">
        <div class="demoheading">CollapsiblePanel Demonstration</div>

        <asp:Panel ID="Panel2" runat="server" CssClass="collapsePanelHeader" Height="30px"> 
            <div style="padding:5px; cursor: pointer; vertical-align: middle;">
                <div style="float: left;">What is ASP.NET AJAX?</div>
                <div style="float: left; margin-left: 20px;">
                    <asp:Label ID="Label1" runat="server">(Show Details...)</asp:Label>
                </div>
                <div style="float: right; vertical-align: middle;">
                    <asp:ImageButton ID="Image1" runat="server" ImageUrl="~/images/expand_blue.jpg" AlternateText="(Show Details...)"/>
                </div>
            </div>
        </asp:Panel>
        <asp:Panel ID="Panel1" runat="server" CssClass="collapsePanel" Height="0">
            <br />
            <p>
                <asp:ImageButton ID="Image2" runat="server" ImageUrl="~/images/AJAX.gif"
                    AlternateText="ASP.NET AJAX" ImageAlign="right" />
                Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Nullam accumsan. Suspendisse porta tincidunt quam. Duis luctus. Donec egestas. Mauris iaculis, eros eu pellentesque rhoncus, tellus lorem suscipit urna, vitae mollis dolor orci vel mi. Nam feugiat nisl et nibh. Maecenas eu turpis. In laoreet mauris at lacus. Donec eros. Proin eget felis. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. 

Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum metus dui, scelerisque a, volutpat at, iaculis eu, leo. Curabitur et pede eu ante pharetra mollis. Vivamus hendrerit, lectus non varius sagittis, tellus dolor imperdiet elit, sed bibendum justo libero fermentum augue. Suspendisse venenatis pretium nulla. Aenean malesuada. Nulla ac sapien. Donec pulvinar, eros in rhoncus vehicula, turpis nibh auctor massa, sed iaculis ante nunc sed sapien. Integer vitae enim. Nulla facilisi. Pellentesque sodales mauris. Morbi lorem. 

Quisque pretium, augue ut ultrices tincidunt, enim nisl placerat turpis, quis vulputate nisi ligula ut ligula. Morbi nulla tellus, placerat posuere, ullamcorper rutrum, lobortis eu, est. Maecenas a metus nec nisi congue consectetuer. Morbi dignissim felis vel nulla. Quisque eget enim ut odio rhoncus vestibulum. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Nunc sollicitudin. In rutrum risus vel tortor. Praesent volutpat lacus at nisi. Sed ullamcorper, sem ut pharetra scelerisque, enim quam congue urna, ac malesuada mi augue ut enim. Quisque malesuada rhoncus nibh. Nulla sit amet erat. Sed sollicitudin massa sit amet pede. 

Vestibulum ligula. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Phasellus in ligula. Etiam et sapien. Nam est arcu, egestas a, ultricies nec, faucibus non, odio. Cras eget eros. Aenean eu libero et purus vehicula fermentum. Maecenas urna. Pellentesque et quam. Aenean adipiscing urna ac massa. Mauris massa tortor, egestas eu, lobortis ut, vehicula vel, metus. Suspendisse potenti. Donec sed lectus quis leo cursus placerat. Aliquam nec pede non turpis tincidunt porta. Duis purus lacus, vulputate quis, condimentum quis, feugiat sit amet, sapien. Sed tempor erat id augue. Nullam sed elit. Etiam dictum libero. Aenean pharetra blandit felis. 

Proin egestas gravida lacus. Duis tempor posuere nibh. Nunc convallis, tellus id sodales mattis, lectus pede molestie pede, in luctus ante massa et nisi. Nunc augue. Cras cursus semper felis. Suspendisse lectus risus, rhoncus et, porta ut, sodales vel, mi. Morbi metus justo, porta in, suscipit at, luctus nec, urna. Duis eget leo eget nulla vestibulum gravida. Cras ullamcorper erat nec ante. In lacinia felis vitae turpis. Nullam consequat quam non nibh. Maecenas vel nunc. Aliquam libero massa, scelerisque eu, imperdiet sit amet, rutrum in, sem. 


            </p>
        </asp:Panel>
    </div>

    <ajax:CollapsiblePanelExtender ID="cpeDemo" runat="Server"
        TargetControlID="Panel1"
        ExpandControlID="Panel2"
        CollapseControlID="Panel2" 
        Collapsed="True"
        TextLabelID="Label1"
        ImageControlID="Image1"    
        ExpandedText="(Hide Details...)"
        CollapsedText="(Show Details...)"
        ExpandedImage="~/images/collapse_blue.jpg"
        CollapsedImage="~/images/expand_blue.jpg"
        SuppressPostBack="true"
        SkinID="CollapsiblePanelDemo" />

    </div>
    </div>
    
    </form>
</body>
</html>

