﻿using System;
using AzureTags.Core.Infrastructure;

namespace AzureTags.Core.Domain
{
    public class Resource
    {
        public Resource(string url)
        {
            _url = url;
            _hash = SecUtility.GetMd5Hash(url.ToLower());
        }

        private string _hash;
        public string Hash { get { return _hash; } }

        private string _url;
        public string Url { get { return _url; } }
    }
}