using System;
using AzureTags.Core.Domain;
using Microsoft.Samples.ServiceHosting.StorageClient;

namespace AzureTags.Core.Infrastructure
{
    public class ResourceRow : TableStorageEntity
    {
        public ResourceRow()
        {
            PartitionKey = "ssmith";
            RowKey = String.Empty;
            Url = string.Empty;
        }

        public ResourceRow(Resource resource)
        {
            PartitionKey = resource.Hash;
            RowKey = string.Empty;
            Url = resource.Url;
        }

        public string Url { get; set; }
    }
}