using System;
using System.Collections.Generic;
using AzureTags.Core.Domain;

namespace AzureTags.Core.Interfaces
{
    public interface IResourceRepository
    {
        void SaveResource(Guid resourceId, Guid userId, string title, string description, string url, string[] tags);
        List<Resource> ListResources();
        List<Resource> ListResourcesByUser(Guid userId);
        List<Resource> ListResourcesByTag(Guid tagId);
        List<Resource> ListResourcesByTagAndUser(Guid tagId, Guid userId);
    }
}