﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AzureTags.Core.Domain;

namespace AzureTags.Core.Interfaces
{
    public interface IRetrieveResources
    {
        List<Resource> ListResources();
        List<Resource> ListResourcesByUser(Guid userId);
        List<Resource> ListResourcesByTag(Guid tagId);
        List<Resource> ListResourcesByTagAndUser(Guid tagId, Guid userId);
    }
}
