﻿using System;
using AzureTags.Core.Domain;
using NUnit.Framework;

namespace AzureTags.Tests.UnitTests.Domain
{
    [TestFixture]
    public class ResourceTester
    {
        private const string testTitle = "testTitle";
        private const string testDescription = "testDescription";
        private const string testUrl = "http://testurl.com/";
        private static readonly Guid testResourceId = Guid.Empty;

        [Test]
        public void CanCreateResourceAndReadProperties()
        {
            var myResource = GetTestResource();

            Assert.AreEqual(testUrl, myResource.Url.ToString());   
            Console.WriteLine(myResource.Hash);
        }

        public static Resource GetTestResource()
        {
            return new Resource(testUrl);
        }
    }
}