using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;

namespace AzureTags.WebRole.Controllers
{
    public class ProfileController : Controller
    {
        //
        // GET: /Profile/

        [Authorize]
        public ActionResult Index()
        {
            var p = (UserProfile)(HttpContext.Profile);
            return View(p);
        }

        //
        // GET: /Profile/Edit

        [Authorize]
        public ActionResult Edit()
        {
            var p = (UserProfile)(HttpContext.Profile);
            return View(p);
        }

        //
        // POST: /Profile/Edit

        [AcceptVerbs(HttpVerbs.Post)]
        [Authorize]
        public ActionResult Edit(FormCollection collection)
        {
            var p = (UserProfile)(HttpContext.Profile);
            try
            {
                UpdateModel(p);
                p.Save();

                return RedirectToAction("Index");
            }
            catch
            {
                return View(p);
            }
        }
    }
}
