﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

namespace ASPNETTipsAndTricks
{
    public partial class Async : System.Web.UI.Page
    {
        private DateTime startTime;
        protected override void OnInit(EventArgs e)
        {
            startTime = DateTime.Now;
            base.OnInit(e);
        }
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected override void Render(HtmlTextWriter writer)
        {
            writer.Write("<h1>Page Took " + (DateTime.Now - startTime).TotalMilliseconds + "ms to render.</h1>");
            base.Render(writer);
        }
    }
}
