﻿using System;
using System.Web.UI;

namespace ASPNETTipsAndTricks
{
    public partial class Sync : System.Web.UI.Page
    {
        private DateTime startTime;
        protected override void OnInit(EventArgs e)
        {
            startTime = DateTime.Now;
            base.OnInit(e);
        }
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected override void Render(HtmlTextWriter writer)
        {
            writer.Write("<h1>Page Took " + (DateTime.Now - startTime).TotalMilliseconds + "ms to render.</h1>");
            base.Render(writer);
        }
    }
}
